# HG changeset patch
# User Piotr Sikora <piotr@cloudflare.com>
# Date 1383613222 28800
#      Mon Nov 04 17:00:22 2013 -0800
# Node ID 76f8950686ce0adc72e491c600295de8986532fb
# Parent  dea321e5c0216efccbb23e84bbce7cf3e28f130c
Configure: pass CC to the configure scripts.

Signed-off-by: Piotr Sikora <piotr@cloudflare.com>

diff -r dea321e5c021 -r 76f8950686ce auto/lib/libatomic/make
--- a/auto/lib/libatomic/make	Thu Oct 31 18:23:49 2013 +0400
+++ b/auto/lib/libatomic/make	Mon Nov 04 17:00:22 2013 -0800
@@ -9,6 +9,6 @@
 	cd $NGX_LIBATOMIC && \$(MAKE)
 
 $NGX_LIBATOMIC/Makefile:	$NGX_MAKEFILE
-	cd $NGX_LIBATOMIC && ./configure
+	cd $NGX_LIBATOMIC && CC="\$(CC)" ./configure
 
 END
diff -r dea321e5c021 -r 76f8950686ce auto/lib/openssl/make
--- a/auto/lib/openssl/make	Thu Oct 31 18:23:49 2013 +0400
+++ b/auto/lib/openssl/make	Mon Nov 04 17:00:22 2013 -0800
@@ -56,7 +56,7 @@ END
 $OPENSSL/.openssl/include/openssl/ssl.h:	$NGX_MAKEFILE
 	cd $OPENSSL \\
 	&& \$(MAKE) clean \\
-	&& ./config --prefix=$ngx_prefix no-shared $OPENSSL_OPT \\
+	&& CC="\$(CC)" ./config --prefix=$ngx_prefix no-shared $OPENSSL_OPT \\
 	&& \$(MAKE) \\
 	&& \$(MAKE) install LIBDIR=lib
 
